Bug 69698 - [MAINTAINER] mail/milter-greylist: Adapt rcNG script to new -CURRENT rc.subr sourcing model
Summary: [MAINTAINER] mail/milter-greylist: Adapt rcNG script to new -CURRENT rc.subr ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-07-28 11:30 UTC by Cyril Guibourg
Modified: 2004-07-29 21:07 UTC (History)
0 users

See Also:


Attachments
milter-greylist-1.5.3_1.patch (1.93 KB, patch)
2004-07-28 11:30 UTC, Cyril Guibourg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Cyril Guibourg 2004-07-28 11:30:20 UTC
Adapt rcNG script to new -CURRENT rc.subr sourcing model

Fix: update files/milter-greylist.sh
Comment 1 plonk-o-matic 2004-07-28 20:48:58 UTC
Cyril Guibourg <aragorn+ports@teaser.fr> writes:

> +miltergreylist_enable=${miltergreylist_enable-"NO"}
> +miltergreylist_runas=${miltergreylist_runas-"smmsp"}
> +miltergreylist_pidfile=${miltergreylist_pidfile-"/var/run/milter-greylist.pid"}
> +miltergreylist_sockfile=${miltergreylist_sockfile-"/var/milter-greylist/milter-g
> +reylist.sock"}
> +miltergreylist_cfgfile=${miltergreylist_cfgfile-"%%PREFIX%%/etc/mail/greylist.co
> +nf"}
> +miltergreylist_flags=${miltergreylist_flags-"-P $miltergreylist_pidfile -f $milt
> +ergreylist_cfgfile -p $miltergreylist_sockfile -u $miltergreylist_runas"}

Hmmm, something wrong did happen before the diff...


Here is the right diff for milter-greylist:

Index: files/milter-greylist.sh
===================================================================
RCS file: /home/ncvs/ports/mail/milter-greylist/files/milter-greylist.sh,v
retrieving revision 1.1
diff -u -r1.1 milter-greylist.sh
--- files/milter-greylist.sh	27 May 2004 21:12:08 -0000	1.1
+++ files/milter-greylist.sh	28 Jul 2004 19:47:08 -0000
@@ -8,18 +8,18 @@
 
 # Define these miltergreylist_* variables in one of these files:
 #       /etc/rc.conf
-#       /etc/rc.conf.miltergreylist
+#       /etc/rc.conf.local
 #       /etc/rc.conf.d/miltergreylist
 #
 # DO NOT CHANGE THESE DEFAULT VALUES HERE
 #
-miltergreylist_enable="NO"
-miltergreylist_runas="smmsp"
-miltergreylist_pidfile="/var/run/milter-greylist.pid"
-miltergreylist_sockfile="/var/milter-greylist/milter-greylist.sock"
-miltergreylist_cfgfile="%%PREFIX%%/etc/mail/greylist.conf"
-miltergreylist_flags="-P $miltergreylist_pidfile -f $miltergreylist_cfgfile
- -p $miltergreylist_sockfile -u $miltergreylist_runas"
+miltergreylist_enable=${miltergreylist_enable-"NO"}
+miltergreylist_runas=${miltergreylist_runas-"smmsp"}
+miltergreylist_pidfile=${miltergreylist_pidfile-"/var/run/milter-greylist.pid"}
+miltergreylist_sockfile=${miltergreylist_sockfile-"/var/milter-greylist/milter-greylist.sock"}
+miltergreylist_cfgfile=${miltergreylist_cfgfile-"%%PREFIX%%/etc/mail/greylist.conf"}
+miltergreylist_flags=${miltergreylist_flags-"-P $miltergreylist_pidfile \
+-f $miltergreylist_cfgfile -p $miltergreylist_sockfile -u $miltergreylist_runas"}
 
 . %%RC_SUBR%%
Comment 2 Pav Lucistnik freebsd_committer 2004-07-29 21:06:49 UTC
State Changed
From-To: open->closed

Committed, thanks!